Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1813197 - t/load-slides.t contains a non-free document
Summary: t/load-slides.t contains a non-free document
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-YAML
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-13 08:38 UTC by Petr Pisar
Modified: 2020-03-31 00:15 UTC (History)
3 users (show)

Fixed In Version: perl-YAML-1.30-2.fc33 perl-YAML-1.29-5.fc31 perl-YAML-1.29-5.fc30 perl-YAML-1.30-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1813208 (view as bug list)
Environment:
Last Closed: 2020-03-18 02:22:25 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ingydotnet yaml-pm issues 219 0 None open t/load-slides.t conains a non-free document 2020-03-13 08:38:13 UTC

Description Petr Pisar 2020-03-13 08:38:14 UTC
All perl-YAML sources packages (perl-YAML-1.28-1.fc30, perl-YAML-1.29-4.fc31, perl-YAML-1.30-1.fc32) contain t/load-slides.t test whose part has this license:

    Copyright © 2001 Brian Ingerson, Clark
    Evans & Oren Ben-Kiki, all rights
    reserved. This document may be freely
    copied provided that it is not modified.

This license does not allow modifications and thus is not allowed in Fedora. Upstream <https://github.com/ingydotnet/yaml-pm/issues/219> did not provide any reply.

I recommend repackaging the source archive without the t/load-slides.t file.

Comment 1 Fedora Update System 2020-03-13 10:41:54 UTC
FEDORA-2020-36971e9b57 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-36971e9b57

Comment 2 Fedora Update System 2020-03-13 10:41:56 UTC
FEDORA-2020-f66969ebd3 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f66969ebd3

Comment 3 Fedora Update System 2020-03-13 18:33:37 UTC
perl-YAML-1.30-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f66969ebd3

Comment 4 Fedora Update System 2020-03-14 01:02:10 UTC
perl-YAML-1.29-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-086a35d94e

Comment 5 Fedora Update System 2020-03-14 02:21:00 UTC
perl-YAML-1.29-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-36971e9b57

Comment 6 Fedora Update System 2020-03-18 02:22:25 UTC
perl-YAML-1.29-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-03-22 03:35:40 UTC
perl-YAML-1.29-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-03-31 00:15:58 UTC
FEDORA-2020-f66969ebd3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.